"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const SUPPORTED_IMAGE_RESIZE_WIDTHS = [100, 300, 500, 750, 1000, 1500, 2500];
/**
 * Takes only allowed transformations into consideration, and discards the rest.
 */
var _default = args => {
  const transformations = {};
  if (!args || !args.width) {
    return null;
  }
  const width = parseInt(args.width);
  if (width <= 0) {
    return null;
  }
  transformations.width = SUPPORTED_IMAGE_RESIZE_WIDTHS[0];
  let i = SUPPORTED_IMAGE_RESIZE_WIDTHS.length;
  while (i >= 0) {
    if (width === SUPPORTED_IMAGE_RESIZE_WIDTHS[i]) {
      transformations.width = SUPPORTED_IMAGE_RESIZE_WIDTHS[i];
      break;
    }
    if (width > SUPPORTED_IMAGE_RESIZE_WIDTHS[i]) {
      // Use next larger width. If there isn't any, use current.
      transformations.width = SUPPORTED_IMAGE_RESIZE_WIDTHS[i + 1];
      if (!transformations.width) {
        transformations.width = SUPPORTED_IMAGE_RESIZE_WIDTHS[i];
      }
      break;
    }
    i--;
  }
  if (Object.keys(transformations).length > 0) {
    /**
     * It is safe to cast.
     */
    return transformations;
  }
  return null;
};
exports.default = _default;

//# sourceMappingURL=sanitizeImageTransformations.js.map