"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileStorageTransformPlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _plugins = require("@webiny/plugins");
class FileStorageTransformPlugin extends _plugins.Plugin {
  constructor(params) {
    super();
    (0, _defineProperty2.default)(this, "_params", void 0);
    this._params = params;
  }

  /**
   * Transform the file value into something that can be stored.
   * Be aware that you must return the whole file object.
   */
  async toStorage(params) {
    if (!this._params.toStorage) {
      return params.file;
    }
    return this._params.toStorage(params);
  }
  /**
   * Transform the file value from the storage type to one required by our system.
   * Be aware that you must return the whole file object.
   * This method MUST reverse what ever toStorage method changed on the file object.
   */
  async fromStorage(params) {
    if (!this._params.fromStorage) {
      return params.file;
    }
    return this._params.fromStorage(params);
  }
}
exports.FileStorageTransformPlugin = FileStorageTransformPlugin;
(0, _defineProperty2.default)(FileStorageTransformPlugin, "type", "fm.files.storage.transform");

//# sourceMappingURL=FileStorageTransformPlugin.js.map