/// <reference types="node" />
import { FileManagerContext } from "../types";
import { FilePhysicalStoragePlugin } from "../plugins/FilePhysicalStoragePlugin";
export declare type Result = Record<string, any>;
export interface FileStorageUploadParams {
    buffer: Buffer;
    hideInFileManager: boolean | string;
    size: number;
    name: string;
    type: string;
    id?: string;
    key?: string;
    tags?: string[];
    keyPrefix?: string;
}
export interface FileStorageDeleteParams {
    id: string;
    key: string;
}
export interface FileStorageUploadMultipleParams {
    files: FileStorageUploadParams[];
}
export interface FileStorageParams {
    context: FileManagerContext;
}
export declare class FileStorage {
    private readonly context;
    constructor({ context }: FileStorageParams);
    get storagePlugin(): FilePhysicalStoragePlugin<import("../plugins/FilePhysicalStoragePlugin").FilePhysicalStoragePluginUploadParams, import("../plugins/FilePhysicalStoragePlugin").FilePhysicalStoragePluginDeleteParams>;
    upload(params: FileStorageUploadParams): Promise<Result>;
    uploadFiles({ files }: FileStorageUploadMultipleParams): Promise<import("../types").File[]>;
    delete(params: FileStorageDeleteParams): Promise<boolean>;
}
